PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions
meta.h File Reference
SPA » Buffers

`spa/buffer/meta.h` More...

Go to the source code of this file.

## Data Structures
struct | spa_meta
| A metadata element. More...
struct | spa_meta_header
| Describes essential buffer header metadata such as flags and timestamps. More...
struct | spa_meta_region
| metadata structure for Region or an array of these for RegionArray More...
struct | spa_meta_bitmap
| Bitmap information. More...
struct | spa_meta_cursor
| Cursor information. More...
struct | spa_meta_control
| a timed set of events associated with the buffer More...
struct | spa_meta_busy
| a busy counter for the buffer More...
struct | spa_meta_videotransform
| a transformation of the buffer More...
struct | spa_meta_sync_timeline
| A timeline point for explicit sync. More...

## Macros
#define | SPA_API_META static inline
#define | spa_meta_check(p, m)
#define | SPA_META_HEADER_FLAG_DISCONT (1 << 0)
| data is not continuous with previous buffer
#define | SPA_META_HEADER_FLAG_CORRUPTED (1 << 1)
| data might be corrupted
#define | SPA_META_HEADER_FLAG_MARKER (1 << 2)
| media specific marker
#define | SPA_META_HEADER_FLAG_HEADER (1 << 3)
| data contains a codec specific header
#define | SPA_META_HEADER_FLAG_GAP (1 << 4)
| data contains media neutral data
#define | SPA_META_HEADER_FLAG_DELTA_UNIT (1 << 5)
| cannot be decoded independently
#define | spa_meta_for_each(pos, meta)
| iterate all the items in a metadata

## Enumerations
enum | spa_meta_type { SPA_META_Invalid , SPA_META_Header , SPA_META_VideoCrop , SPA_META_VideoDamage , SPA_META_Bitmap , SPA_META_Cursor , SPA_META_Control , SPA_META_Busy , SPA_META_VideoTransform , SPA_META_SyncTimeline , _SPA_META_LAST }
enum | spa_meta_videotransform_value { SPA_META_TRANSFORMATION_None = 0 , SPA_META_TRANSFORMATION_90 , SPA_META_TRANSFORMATION_180 , SPA_META_TRANSFORMATION_270 , SPA_META_TRANSFORMATION_Flipped , SPA_META_TRANSFORMATION_Flipped90 , SPA_META_TRANSFORMATION_Flipped180 , SPA_META_TRANSFORMATION_Flipped270 }

## Functions
SPA_API_META void * | spa_meta_first (const struct spa_meta *m)
SPA_API_META void * | spa_meta_end (const struct spa_meta *m)
SPA_API_META bool | spa_meta_region_is_valid (const struct spa_meta_region *m)
SPA_API_META bool | spa_meta_bitmap_is_valid (const struct spa_meta_bitmap *m)
SPA_API_META bool | spa_meta_cursor_is_valid (const struct spa_meta_cursor *m)

## Detailed Description

`spa/buffer/meta.h`

## Macro Definition Documentation

## ◆ SPA_API_META

#define SPA_API_META static inline